# coding: utf-8

"""

    # Authentication  <!-- ReDoc-Inject: <security-definitions> -->  # noqa: E501

    OpenAPI spec version: 0.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class CdgJsonldClub(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'context': 'OneOfCdgJsonldClubContext',
        'id': 'str',
        'type': 'str',
        'cg_no': 'int',
        'type_label': 'str',
        'name': 'str',
        'short_name': 'str',
        'cp_cod': 'list[str]'
    }

    attribute_map = {
        'context': '@context',
        'id': '@id',
        'type': '@type',
        'cg_no': 'cg_no',
        'type_label': 'type_label',
        'name': 'name',
        'short_name': 'short_name',
        'cp_cod': 'cp_cod'
    }

    def __init__(self, context=None, id=None, type=None, cg_no=None, type_label=None, name=None, short_name=None, cp_cod=None):  # noqa: E501
        """CdgJsonldClub - a model defined in Swagger"""  # noqa: E501
        self._context = None
        self._id = None
        self._type = None
        self._cg_no = None
        self._type_label = None
        self._name = None
        self._short_name = None
        self._cp_cod = None
        self.discriminator = None
        if context is not None:
            self.context = context
        if id is not None:
            self.id = id
        if type is not None:
            self.type = type
        if cg_no is not None:
            self.cg_no = cg_no
        if type_label is not None:
            self.type_label = type_label
        if name is not None:
            self.name = name
        if short_name is not None:
            self.short_name = short_name
        if cp_cod is not None:
            self.cp_cod = cp_cod

    @property
    def context(self):
        """Gets the context of this CdgJsonldClub.  # noqa: E501


        :return: The context of this CdgJsonldClub.  # noqa: E501
        :rtype: OneOfCdgJsonldClubContext
        """
        return self._context

    @context.setter
    def context(self, context):
        """Sets the context of this CdgJsonldClub.


        :param context: The context of this CdgJsonldClub.  # noqa: E501
        :type: OneOfCdgJsonldClubContext
        """

        self._context = context

    @property
    def id(self):
        """Gets the id of this CdgJsonldClub.  # noqa: E501


        :return: The id of this CdgJsonldClub.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this CdgJsonldClub.


        :param id: The id of this CdgJsonldClub.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def type(self):
        """Gets the type of this CdgJsonldClub.  # noqa: E501


        :return: The type of this CdgJsonldClub.  # noqa: E501
        :rtype: str
        """
        return self._type

    @type.setter
    def type(self, type):
        """Sets the type of this CdgJsonldClub.


        :param type: The type of this CdgJsonldClub.  # noqa: E501
        :type: str
        """

        self._type = type

    @property
    def cg_no(self):
        """Gets the cg_no of this CdgJsonldClub.  # noqa: E501


        :return: The cg_no of this CdgJsonldClub.  # noqa: E501
        :rtype: int
        """
        return self._cg_no

    @cg_no.setter
    def cg_no(self, cg_no):
        """Sets the cg_no of this CdgJsonldClub.


        :param cg_no: The cg_no of this CdgJsonldClub.  # noqa: E501
        :type: int
        """

        self._cg_no = cg_no

    @property
    def type_label(self):
        """Gets the type_label of this CdgJsonldClub.  # noqa: E501


        :return: The type_label of this CdgJsonldClub.  # noqa: E501
        :rtype: str
        """
        return self._type_label

    @type_label.setter
    def type_label(self, type_label):
        """Sets the type_label of this CdgJsonldClub.


        :param type_label: The type_label of this CdgJsonldClub.  # noqa: E501
        :type: str
        """

        self._type_label = type_label

    @property
    def name(self):
        """Gets the name of this CdgJsonldClub.  # noqa: E501


        :return: The name of this CdgJsonldClub.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this CdgJsonldClub.


        :param name: The name of this CdgJsonldClub.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def short_name(self):
        """Gets the short_name of this CdgJsonldClub.  # noqa: E501


        :return: The short_name of this CdgJsonldClub.  # noqa: E501
        :rtype: str
        """
        return self._short_name

    @short_name.setter
    def short_name(self, short_name):
        """Sets the short_name of this CdgJsonldClub.


        :param short_name: The short_name of this CdgJsonldClub.  # noqa: E501
        :type: str
        """

        self._short_name = short_name

    @property
    def cp_cod(self):
        """Gets the cp_cod of this CdgJsonldClub.  # noqa: E501


        :return: The cp_cod of this CdgJsonldClub.  # noqa: E501
        :rtype: list[str]
        """
        return self._cp_cod

    @cp_cod.setter
    def cp_cod(self, cp_cod):
        """Sets the cp_cod of this CdgJsonldClub.


        :param cp_cod: The cp_cod of this CdgJsonldClub.  # noqa: E501
        :type: list[str]
        """

        self._cp_cod = cp_cod

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(CdgJsonldClub, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, CdgJsonldClub):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
